
if (which_ __readlink__ readlink) 2> /dev/null; then
  :
elif (exec perl -e '') > /dev/null 2>&1; then
  readlink() { perl -le 'print(readlink($ARGV[0]), "\n")' "$1"; }
elif (exec python -c '') > /dev/null 2>&1; then
  readlink() {
    python -c 'import sys, os; print os.readlink(sys.argv[1])+"\n"' "$1"
  }
elif (exec guile -c '') > /dev/null 2>&1; then
  readlink() {
    guile -c '(format #t "~A\n" (readlink (cadr (program-arguments))))' "$1"
  }
fi
